Bug 1729153 - Lifecycle Environments does not shows details of associated C.V. /Repositories/Errata/packages, ..etc
Summary: Lifecycle Environments does not shows details of associated C.V. /Repositorie...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Lifecycle Environments
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 6.6.0
Assignee: Jonathon Turel
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-11 13:19 UTC by vijsingh
Modified: 2019-10-22 14:46 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-katello-3.12.0.9-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:50 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screenshots (220.05 KB, application/gzip)
2019-08-19 08:19 UTC, vijsingh
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27452 None None None 2019-07-26 18:04:36 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:48:01 UTC

Description vijsingh 2019-07-11 13:19:43 UTC
Description of problem:

Lifecycle Environments does not shows details associated C.V. /Repositories/Errata/packages,  ..etc

Version-Release number of selected component (if applicable):

@Satellite 6.6.0 snap 10.0

How reproducible:

Always


Steps to Reproduce:

1. Go to Satellite UI.
2. Create/sync Repos , Add to C.V. and publish it (Library bydefault)

3. Now go to  Content => 'Lifecycle Environments' => Click on 'Library' => See Tabs 'Content Views/Yum Repositories/Errata/packages ..etc'

Actual results:

Does not shows any details

Expected results:

It should show the associated C.V. /Repositories/Errata/packages, ..etc details.
Additional info:

Comment 5 vijsingh 2019-07-11 13:29:26 UTC
Steps to Reproduce:

1. Go to Satellite UI.
2. Create/sync Repos , Add to C.V. and publish it (Library 'Lifecycle Environment' bydefault)
3. Now go to  Content => 'Lifecycle Environments' => Click on 'Library' => See Tabs 'Content Views/Yum Repositories/Errata/packages ..etc'

Comment 6 Jonathon Turel 2019-07-26 18:04:35 UTC
Created redmine issue https://projects.theforeman.org/issues/27452 from this bug

Comment 7 Jonathon Turel 2019-07-26 18:38:33 UTC
I have a fix opened upstream to fix this problem for the Content Views tab. However, there was a deliberate change made to how the other tabs work as they now require a Content View to be selected from the dropdown before showing any results. Check out my description on the upstream PR linked from the Foreman tracker at the top of the BZ.

Comment 8 Bryan Kearney 2019-08-02 16:04:04 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/27452 has been resolved.

Comment 10 vijsingh 2019-08-19 08:10:45 UTC
ON_QA Verified

@Satellite 6.6.0 snap 16.0

Attached screenshots.

Comment 11 vijsingh 2019-08-19 08:19:21 UTC
Created attachment 1605684 [details]
Screenshots

Comment 14 errata-xmlrpc 2019-10-22 12:47:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.